Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JDKKeyPairGenerator.ElGamal

    java.lang.Object
      java.security.KeyPairGeneratorSpi
          java.security.KeyPairGenerator
              org.bouncycastle.jce.provider.JDKKeyPairGenerator
                  org.bouncycastle.jce.provider.JDKKeyPairGenerator.ElGamal

Enclosing class:
  JDKKeyPairGenerator

    public static class JDKKeyPairGenerator.ElGamal

extends JDKKeyPairGenerator

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JDKKeyPairGenerator
`JDKKeyPairGenerator.DH, JDKKeyPairGenerator.DSA, JDKKeyPairGenerator.ElGamal, JDKKeyPairGenerator.GOST3410, JDKKeyPairGenerator.RSA`

Constructor Summary
`JDKKeyPairGenerator.ElGamal()`

Method Summary
`java.security.KeyPair` `generateKeyPair()`
`void` `initialize(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`void` `initialize(int strength, java.security.SecureRandom random)`

Methods inherited from class java.security.KeyPairGenerator
`genKeyPair, getAlgorithm, getInstance, getInstance, getInstance, getProvider, initialize, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKKeyPairGenerator.ElGamal

    public JDKKeyPairGenerator.ElGamal()

Method Detail

### initialize

    public void initialize(int strength,
                           java.security.SecureRandom random)

  Specified by:
    `initialize` in class `JDKKeyPairGenerator`

### initialize

    public void initialize(java.security.spec.AlgorithmParameterSpec params,
                           java.security.SecureRandom random)
                    throws java.security.InvalidAlgorithmParameterException

  Overrides:
    `initialize` in class `java.security.KeyPairGenerator`
  Throws:
    `java.security.InvalidAlgorithmParameterException`

### generateKeyPair

    public java.security.KeyPair generateKeyPair()

  Specified by:
    `generateKeyPair` in class `JDKKeyPairGenerator`

Bouncy Castle Cryptography Library 1.45